/*sytle Einstellung für gesamte Website mit den einzelnen media queries*/
/*EINSTELLUNGEN FÜR DIE NIEDRIGSTE BILDSCHIRMBREITE*/


:root {
    /*Farben als Variablen für die gesamte Website*/
    --hauptfarbe-verlauf: #787474;
    --hauptfarbe: rgba(166, 166, 166);
    --accent-color: hsl(352, 88%, 40%);


    --hintergrund: #f6f6f6;
    --grau: #808080;

    --schatten-u-r: 0px 3px 5px rgba(0, 0, 0, 0.25);
    --selected-color: rgba(190, 190, 190);
    --un-selected-color: rgb(130, 130, 130);
    /*Scrollbar Farbeinstellungen*/
    --scroll-track: rgb(128, 128, 128, 0.25);
    --scroll-thumb: rgb(128, 128, 128, 0.4);
    /*Abstand zwischen den Informationstexten und dem I*/
    --size-information: 15px;
}

/*Aufbau der gesamten Website: Schriftart, Hintergrundfarbe, Silbentrennung*/
body {
    font-family: 'Almarai', sans-serif;
    background-color: var(--hintergrund);
    /*da hyphens nicht bei Safari, Edge und Chrome funktioniert, wird bei diesen word-break verwendet*/
    word-break: break-word;
    -moz-hyphens: auto; /* für Firefox*/
    -ms-hyphens: auto; /* für Edge*/
    -webkit-hyphens: auto; /* für Safari und Chrome*/
    hyphens: auto;
    /*teilt den Bildschirm in Grids ein*/
    display: grid;
    grid-template-columns: 0px 10px 1fr 10px;
    grid-template-rows: 235px 1fr;
    /*ganzer Bildschirm lässt sich in x- und y-Richtung scrollen*/
    overflow: scroll;
    /*Größe*/
    width: 100vw;
    height: 100vh;
}

/*Scrollbar bei verschiedenen Browsern*/
body::-webkit-scrollbar {
    width: 0.6vw;
    height: 0.6vw;
}

/*Scrollbar Farbe und Rand für Safari und Chrome; auch beim Hovern*/
body::-webkit-scrollbar-track {
    margin-top: 1vw;
    margin-bottom: 1vw;
    background: var(--scroll-track);
    border-radius: 0.2vw;
}

body::-webkit-scrollbar-thumb {
    background: var(--scroll-thumb);
    border-radius: 0.2vw;
}

body::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}


/*###### Kopfbereich ######*/

/*Größe und Position des Kopfes*/

#kopf {
    /*Einteilung in grids*/
    display: grid;
    grid-template-rows: 75px 135px 15px;
    transition: 0.25s;

    /*Hintergrundfarbe, Schatten und Position als Grid Element*/
    background-color: var(--hintergrund);
    box-shadow: var(--hintergrund) 0vw 0vw 0.5vw 0.2vw;
    grid-column-start: 3;
    grid-column-end: 4;
    grid-row-start: 1;
    grid-row-end: 2;
    /*Kopf steht im Vordergrund*/
    z-index: 50;
}

/*Schriftgröße der Überschriften und Unterüberschriften*/
#kopfzeile-ueberschrift {
    white-space: nowrap;
    width: 100%;
}

#kopfzeile-ueberschrift > h2 {
    white-space: normal;
    display: inline;
}

#kopfzeile-ueberschrift > h3 {
    font-size: small;
    margin-bottom: 0.8em;
    margin-top: -0.5em
}

/*Positionen der Elemente des Kopfes im Grid*/
/*Beinhaltet die Website Überschrift (Maßnahmenkatalog) und das Login*/
#kopfzeile {
    grid-row-start: 1;
    grid-row-end: 1;
    font-size: x-large;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid var(--hauptfarbe-verlauf);
}

/*Beinhaltet die Kategorienauswahl, die Priorisierungen und die Suche*/
#sub-kopfzeile {
    grid-row-start: 2;
    grid-row-end: 2;

    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

/* ###### Login ###### */

.login {
    /*Schrift*/
    font-weight: 700;
    height: 30px;
    width: 30px;
}


/*Größe, Position und Ausgrauen des Login Icon*/
.login-icon {
    height: 27px;
    width: 80px;
    object-fit: cover;
    object-position: left;
    filter: grayscale(1) brightness(220%);
}


/*Login Icon ändert die Farbe beim Hovern*/
.login-icon:hover {
    filter: none;
}


/*###### Kategorien ######*/
/*Button, der das Ausklappen der Sidebar ermöglicht*/
#sidebar-oeffner {
    width: 100%;
    height: 35px;
    background-color: #ffffff;
    box-shadow: var(--schatten-u-r);
    display: flex;
    visibility: visible;
    border-radius: 5px;
    outline: none;
    gap: 10px;
    align-items: center;
    padding: 0 7px;
    order: 2;
    white-space: nowrap;
    overflow: hidden;
}


/*Sidebar*/
#sidebar {
    z-index: 99;
    /*Farbverlauf der Sidebar*/
    background: linear-gradient(180deg, var(--hauptfarbe) 0%, var(--hauptfarbe-verlauf) 100%);

    /*Position*/
    display: grid;
    grid-template-rows: [r1] 150px [r2] 50px [r3] auto [last-line];
    grid-template-columns: auto;

    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 7;


    width: 300px;
    position: fixed;
    height: 100%;
    left: -300px;
    /*Sidebar kann nach Betätigen des Kategorienbuttons von links ausgefahren werden*/
    transition: 0.5s;
}

/*Position und Schatten der ausgefahrenen Sidebar*/
.sidebar-aktiv {
    left: 0px !important;
    box-shadow: 5px 0px 24px -2px #000000;
    transition: 0.5s;
}


/*######Logo######*/
.logo {
    /*Größe und Position des Bildes*/
    width: 100%;
    padding-top: 30px;
    padding-bottom: 20px;
}

/*Div, das das Logo beinhaltet*/
.logo-div {
    /*Strich zur unteren Abgrenzung*/
    border-bottom: solid var(--hauptfarbe-verlauf) 1px;
    padding-bottom: 4px;
    margin-left: 5%;
    margin-right: 5%;
    overflow: hidden;
}


/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MAXIMAL 400px HÖHE ######*/

@media only screen and (max-height: 400px) {
    /*Sidebar lässt sich in y-Richtung scrollen*/
    #sidebar {
        overflow-y: scroll !important;
        scrollbar-width: none;
    }

    .sidebar-aktiv {
        position: initial;
        overflow-y: scroll !important;
    }

    /*Katgorienliste lässt sich in y-Richtung scrollen*/
    .kategorien-liste {
        overflow-y: visible;
        scrollbar-width: none;
    }

    /*Scrollbar für Safari und Chrome bleibt unsichtbar*/
    #sidebar::-webkit-scrollbar {
        width: 0;
    }

    /*Position und Größe des Informationstextes und Buttons der Kategorien --> öffnet sich wieder rechts des Buttons*/
    #extra-info-kategorien {
        margin-right: var(--size-information);
        position: absolute;
        width: 15.5em;
        max-height: 200px;
    }

    #info-button-kategorien {
        display: flex;
        justify-content: end;
    }


}

/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MINIMALER BREITE VON 525px ######*/

@media only screen and (min-width: 525px) {
    /*Größe und Positionen der Elemente bei dieser Bildschirmgröße*/
    body {
        grid-template-columns: 0px 50px 1fr 50px;
        grid-template-rows: 160px 1fr;
        overflow-y: scroll;
        overflow-x: hidden;
    }

    #sidebar-oeffner {
        width: 180px;
        order: 1;
    }

    #suchleiste-container {
        width: 180px;
        order: 3;
    }

    .priorisierungs-kriterien {
        width: 240px;
        order: 2;
    }

    #kopf {
        grid-template-rows: auto 50% 10px;
        transition: none;
    }

    .login {
        width: fit-content;
    }

    .priorisierungen {
        width: 220px;
    }

    .prio-auswahl {
        width: 240px;
    }

    .priorisierungs-kriterien-open {
        width: 240px
    }

    .massnahmen {
        width: 80%;
    }

    .prio-scroll {
        height: 125px;
        overflow-x: hidden;
        overflow-y: auto;
    }

    #info-button-priorisierung {
        justify-content: flex-end;
    }

    .kategorien-liste::-webkit-scrollbar {
        width: 0;
    }

    #extra-info-priorisierung {
        margin-top: calc(var(--size-information) * 1.6);
    }

    #kopfzeile-ueberschrift {
        width: 60%;
    }

}


/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MINIMALER BREITE VON 750px ######*/

@media only screen and (min-width: 750px) {
    /*Website lässt sich nicht vollständig scrollen*/
    body {
        overflow: hidden;
    }

    /*Priorisierungskriterien können gescrollt werden*/
    .prio-scroll {
        height: 200px;
        overflow-x: hidden;
        overflow-y: auto;
    }

    .massnahmen-liste {
        overflow-y: scroll;
        overflow-x: hidden;
    }

    /*Prioriserungskriterien pro Maßnahme stehen unter den Quellen*/
    .massnahmen-informations-text-prio {
        grid-column-end: end;
        grid-column-start: 1;
        grid-row-start: 3;
        grid-row-end: 3;
    }

    /*Quellen strecken sich über die gesamte Breite*/
    #massnahmen-informations-text-quellen {
        grid-column-end: end;
    }

    /*Divs mit den Icons in jeder Maßnahme bleiben in der letzten Column*/
    .divs-mit-allen-icons {
        width: fit-content;
        grid-row-start: 4;
        grid-row-end: 4;
    }

    /*Höhe aller Informationstexte wird festgelegt*/
    .info-button .extra-info {
        width: 30vw;
        max-height: 150px;
    }

    /*Position des Informationstextes bei den Priorisierungen*/
    #extra-info-priorisierung {
        left: var(--size-information);
        margin-top: calc(var(--size-information) * 0);
        margin-left: 4px;
    }

}

/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MINIMALER BREITE VON 1150px ######*/
@media only screen and (min-width: 1150px) {
    body {
        grid-template-columns: 300px 50px 1fr 50px;
    }

    /*Informationen über die Maßnahmen (Beschreibung, Quellen, Icons...) ändern die Anzahl der Columns*/
    .massnahmen-information {
        grid-template-columns: [c1] 1fr [c2] 1fr;
    }

    /*Priorisierungen für jede Maßnahme startet ab der Hälfte --> neben den Quellen*/
    .massnahmen-informations-text-prio {
        grid-column-end: 2;
        grid-column-start: 2;
        grid-row-start: 2;
        grid-row-end: 2;
    }

    /*Divs mit den Icons belegen letzte Zeile und strecken sich über die gesamte Breite*/
    .divs-mit-allen-icons {
        width: fit-content;
        grid-row-start: 3;
        grid-row-end: 3;
    }

    /*Quellen enden bei der Hälfte vor den Priorisierungen*/
    #massnahmen-informations-text-quellen {
        grid-column-end: c1;
    }

    /*Position und Größe der dauerhaft ausgeklappten Sidebar*/
    #sidebar {
        width: auto;
        position: relative;
        height: 100%;
        left: 0px;
        z-index: 600;
    }

    /*Sidebar Öffner verschwindet*/
    #sidebar-oeffner {
        visibility: hidden;
        display: none;
    }

    /*Kategorienliste lässt sich nicht mehr scrollen*/
    .kategorien-liste {
        scrollbar-width: none;
    }
    /*Scrollbar für Safari*/
    .kategorien-liste::-webkit-scrollbar {
        width: 0%;
    }

    /*Breite der Suchleiste*/
    #suchleiste-container {
        width: 240px;
    }

    /*Priorisierungen*/
    .prio-auswahl {
        width: 470px;
    }

    .priorisierungs-kriterien-open {
        width: 470px;
    }

    .prio-scroll {
        height: fit-content;
        overflow-x: hidden;
        overflow-y: auto;
    }

    /*Größe der Informationstexte*/
    .info-button .extra-info {
        width: 30vw;
        max-height: 300px;
        /*Scrollfunktion entfernt*/
        overflow-y: hidden;
    }
    /*Infobutton der Priorisierungen*/
    #info-button-priorisierung {
        justify-content: flex-start;
    }


}


/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MINIMALER BREITE VON 1000px ######*/
@media only screen and (min-width: 1000px) {
    /*Kategorienliste ist sichtbar*/
    .kategorien-liste {
        visibility: visible;
    }
}


/*###### MEDIA QUERY FÜR BILDSCHIRME MIT MINIMALER BREITE VON 1450px ######*/
@media only screen and (min-width: 1450px) {

    /*Breite der Priorisierungsbox im geschlossenen und offenen Zustand*/
    .prio-auswahl {
        width: 700px;
    }

    .priorisierungs-kriterien-open {
        width: 700px;
    }


}



